Modify

Opened 9 years ago

Closed 8 years ago

Last modified 8 years ago

#6315 closed defect (fixed)

NPE in conflict manager

Reported by: skyper Owned by: team
Priority: normal Milestone:
Component: Core Version: latest
Keywords: template_report conflict manager NPE Cc:

Description (last modified by skyper)

I tried to reproduce #4663

What steps will reproduce the problem?

  1. load file from #4663
  2. update data ends up with 150 conflicts
  3. solve conflict on ID: 62.897
  4. did undo
  5. tried to solve conflict again and fiddelt around when strange member appeared.
  6. added one member and got exception

Please provide any additional information below. Attach a screenshot if
possible.

screenshot

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2011-05-05 01:31:35
Last Changed Author: jttt
Revision: 4073
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2011-05-04 22:03:53 +0200 (Wed, 04 May 2011)
Last Changed Rev: 4073

Identification: JOSM/1.5 (4073 en)
Memory Usage: 65 MB / 248 MB (21 MB allocated, but free)
Java version: 1.6.0_18, Sun Microsystems Inc., OpenJDK Client VM
Operating system: Linux

Dataset consistency test:
[DELETED REFERENCED] {Way id=4810616 version=2 D nodes=[{Node id=30890558 version=3 D lat=47.8677965,lon=8.0756275}, {Node id=30890591 version=1 V lat=47.8678064,lon=8.0748723}, {Node id=30890592 version=1 V lat=47.8686238,lon=8.0733492}, {Node id=30890593 version=2 V lat=47.8696562,lon=8.0727521}, {Node id=30890594 version=1 V lat=47.8705651,lon=8.0725115}, {Node id=30890595 version=3 V lat=47.8709509,lon=8.0725082}, {Node id=30890596 version=2 D lat=47.8715358,lon=8.0717499}]} refers to deleted primitive {Node id=30890558 version=3 D lat=47.8677965,lon=8.0756275}
[DELETED REFERENCED] {Way id=4810616 version=2 D nodes=[{Node id=30890558 version=3 D lat=47.8677965,lon=8.0756275}, {Node id=30890591 version=1 V lat=47.8678064,lon=8.0748723}, {Node id=30890592 version=1 V lat=47.8686238,lon=8.0733492}, {Node id=30890593 version=2 V lat=47.8696562,lon=8.0727521}, {Node id=30890594 version=1 V lat=47.8705651,lon=8.0725115}, {Node id=30890595 version=3 V lat=47.8709509,lon=8.0725082}, {Node id=30890596 version=2 D lat=47.8715358,lon=8.0717499}]} refers to deleted primitive {Node id=30890596 version=2 D lat=47.8715358,lon=8.0717499}
[DELETED REFERENCED] {Way id=31065584 version=2 D nodes=[{Node id=299797294 version=2 V lat=47.8560935,lon=8.0853855}, {Node id=299797016 version=2 D lat=47.855888,lon=8.0856055}, {Node id=299797017 version=2 D lat=47.8558189,lon=8.0859317}, {Node id=299797293 version=2 V lat=47.8557177,lon=8.0865617}]} refers to deleted primitive {Node id=299797016 version=2 D lat=47.855888,lon=8.0856055}
[DELETED REFERENCED] {Way id=31065584 version=2 D nodes=[{Node id=299797294 version=2 V lat=47.8560935,lon=8.0853855}, {Node id=299797016 version=2 D lat=47.855888,lon=8.0856055}, {Node id=299797017 version=2 D lat=47.8558189,lon=8.0859317}, {Node id=299797293 version=2 V lat=47.8557177,lon=8.0865617}]} refers to deleted primitive {Node id=299797017 version=2 D lat=47.8558189,lon=8.0859317}
[DELETED REFERENCED] {Way id=28746377 version=4 D nodes=[{Node id=28795224 version=3 V lat=47.8547494,lon=8.0740907}, {Node id=28795223 version=3 D lat=47.8544535,lon=8.0746846}, {Node id=28795222 version=3 D lat=47.8541718,lon=8.0748037}, {Node id=28795221 version=3 D lat=47.8539769,lon=8.0747496}, {Node id=28795220 version=3 D lat=47.8521572,lon=8.0762227}, {Node id=28795219 version=2 V lat=47.8519622,lon=8.0762443}, {Node id=28795217 version=2 V lat=47.8513881,lon=8.0754428}, {Node id=28795216 version=2 V lat=47.8512148,lon=8.0743596}, {Node id=28795215 version=2 V lat=47.8508899,lon=8.073948}, {Node id=28795214 version=2 V lat=47.8507057,lon=8.0734606}, {Node id=28795213 version=2 V lat=47.8502292,lon=8.0731248}, {Node id=28795210 version=2 V lat=47.8499909,lon=8.073374}, {Node id=28795209 version=2 V lat=47.8493085,lon=8.0740347}, {Node id=28795208 version=2 V lat=47.8489727,lon=8.0745979}, {Node id=28795206 version=2 V lat=47.8483986,lon=8.0745763}, {Node id=28795205 version=2 V lat=47.8480737,lon=8.0743271}, {Node id=28795203 version=2 V lat=47.8473696,lon=8.0742188}, {Node id=28795202 version=2 V lat=47.8471746,lon=8.0743705}, {Node id=28795201 version=2 V lat=47.846958,lon=8.0744246}, {Node id=28795200 version=2 V lat=47.8465031,lon=8.0749229}, {Node id=28795199 version=2 V lat=47.8466764,lon=8.0756919}, {Node id=28795196 version=2 V lat=47.8466439,lon=8.0759735}, {Node id=28795193 version=2 V lat=47.8467739,lon=8.0770242}, {Node id=28795191 version=2 V lat=47.8465572,lon=8.0784865}, {Node id=28795189 version=2 V lat=47.846254,lon=8.0795804}, {Node id=28795187 version=10 V lat=47.8458958,lon=8.0802674}]} refers to deleted primitive {Node id=28795223 version=3 D lat=47.8544535,lon=8.0746846}
[DELETED REFERENCED] {Way id=28746377 version=4 D nodes=[{Node id=28795224 version=3 V lat=47.8547494,lon=8.0740907}, {Node id=28795223 version=3 D lat=47.8544535,lon=8.0746846}, {Node id=28795222 version=3 D lat=47.8541718,lon=8.0748037}, {Node id=28795221 version=3 D lat=47.8539769,lon=8.0747496}, {Node id=28795220 version=3 D lat=47.8521572,lon=8.0762227}, {Node id=28795219 version=2 V lat=47.8519622,lon=8.0762443}, {Node id=28795217 version=2 V lat=47.8513881,lon=8.0754428}, {Node id=28795216 version=2 V lat=47.8512148,lon=8.0743596}, {Node id=28795215 version=2 V lat=47.8508899,lon=8.073948}, {Node id=28795214 version=2 V lat=47.8507057,lon=8.0734606}, {Node id=28795213 version=2 V lat=47.8502292,lon=8.0731248}, {Node id=28795210 version=2 V lat=47.8499909,lon=8.073374}, {Node id=28795209 version=2 V lat=47.8493085,lon=8.0740347}, {Node id=28795208 version=2 V lat=47.8489727,lon=8.0745979}, {Node id=28795206 version=2 V lat=47.8483986,lon=8.0745763}, {Node id=28795205 version=2 V lat=47.8480737,lon=8.0743271}, {Node id=28795203 version=2 V lat=47.8473696,lon=8.0742188}, {Node id=28795202 version=2 V lat=47.8471746,lon=8.0743705}, {Node id=28795201 version=2 V lat=47.846958,lon=8.0744246}, {Node id=28795200 version=2 V lat=47.8465031,lon=8.0749229}, {Node id=28795199 version=2 V lat=47.8466764,lon=8.0756919}, {Node id=28795196 version=2 V lat=47.8466439,lon=8.0759735}, {Node id=28795193 version=2 V lat=47.8467739,lon=8.0770242}, {Node id=28795191 version=2 V lat=47.8465572,lon=8.0784865}, {Node id=28795189 version=2 V lat=47.846254,lon=8.0795804}, {Node id=28795187 version=10 V lat=47.8458958,lon=8.0802674}]} refers to deleted primitive {Node id=28795222 version=3 D lat=47.8541718,lon=8.0748037}
...<snip>.

Attachments (1)

conflict_manager_bug_screenshot.png (131.6 KB) - added by skyper 9 years ago.
screenshot

Download all attachments as: .zip

Change History (7)

Changed 9 years ago by skyper

screenshot

comment:1 Changed 9 years ago by skyper

Description: modified (diff)

comment:2 Changed 9 years ago by skyper

Here is the consol output:

sing /usr/lib/jvm/java-6-openjdk/bin/java to execute josm.
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2011-05-05 01:31:35
Last Changed Author: jttt
Revision: 4073
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2011-05-04 22:03:53 +0200 (Wed, 04 May 2011)
Last Changed Rev: 4073

GET http://api.openstreetmap.org/api/capabilities... OK
Communications with http://api.openstreetmap.org/api established using protocol version 0.6.
loading plugin 'undelete' (version 25199)
loading plugin 'turnlanes' (version 25908)
loading plugin 'reverter' (version 25578)
loading plugin 'buildings_tools' (version 25905)
loading plugin 'waydownloader' (version 25190)
loading plugin 'multipoly-convert' (version 25192)
Silent shortcut conflict: 'tools:multipolyconv' moved by 'tools:mirror' to 'Alt+Umschalt+M'.
loading plugin 'utilsplugin2' (version 25912)
loading plugin 'terracer' (version 25199)
Silent shortcut conflict: 'tools:Terracer' moved by 'tool:revert' to 'Alt+Umschalt+T'.
Silent shortcut conflict: 'tools:ReverseTerrace' moved by 'tools:tagbuffer' to 'Alt+Umschalt+R'.
RemoteControl::Accepting connections on port 8111
Open file: /home2/test/Downloads/josm_bug_4663.osm.bz2 (190945 bytes)
Silent shortcut conflict: 'subwindow:selection' moved by 'tools:Terracer' to 'Alt+C'.
Silent shortcut conflict: 'subwindow:relations' moved by 'tools:ReverseTerrace' to 'Alt+R'.
Silent shortcut conflict: 'subwindow:conflict' moved by 'subwindow:selection' to 'Alt+Umschalt+C'.
Silent shortcut conflict: 'subwindow:mappaint' moved by 'tools:multipolyconv' to 'Alt+D'.
GET http://api.openstreetmap.org/api/0.6/map?bbox=8.0609576,47.8143199,8.1393103,47.8916209
GET http://api.openstreetmap.org/api/0.6/map?bbox=8.0548169,47.8410121,8.1211779,47.8838051
Keystroke ctrl alt pressed U is already assigned to org.openstreetmap.josm.actions.UpdateSelectionAction@f6ac0b, will be overridden by org.openstreetmap.josm.actions.UpdateSelectionAction@54782a
GET http://api.openstreetmap.org/api/0.6/ways?ways=23968105,35009716,23968106,28745108,48377355,44365703,38889365,38889363,41960962,4810618,4810617,4810616,44365595,28746377,4810620,32947591,24057288,35327400,44365490,29223443,23968090,27711721,23968093,23968092,4566548,44191847,4566791,27518503,27297365,4566546,4566547,29223565,4566544,8431379,4566545,29223564,24645058,8431622,33143624,44192003,30104954,26630659,27311487,44192418,27311486,44006641,4566777,43998499,29412115,24646179,23907285,8431437,9384162,9384163,38231911,28746343,26681200,34175464,31065584,28746344,28746345,24057736,31065586,39224896
GET http://api.openstreetmap.org/api/0.6/nodes?nodes=323510887,323361764,324050908,323560605,323899032,323652355,323541182,613578800,414083205,414083206,323885942,323782568,414083200,414083203,324054163,323365518,323315755,323954706,323277018,323968901,323933234,323339221,323832495,323851998,323575832,324092921,323809856,324077345,323638529,479270139,345414387,299797221,324158903,324088905,323599438,324088909,323435002,323700269,323638575,323331379,323413929,323266311,323611054,323331380,323755424,324070121,292099850,292099848,324145311,323712406,324030496,323806121,299797015,323912028,323844377,299797016,299797017,323797475,323365413,324070057,323643088,559542050,324089081,323951522,550367199,559542033,324089037,559542038,323848009,559542040,559542047,324119668,324123972,559542044,559542019,559542016,323413802,559542022,323621227,559542027,324131824,559542024,323779453,323495508,559542030,323541056,410644637,559541999,410644636,559541998,559541997,410644638,410644633,410644632,559541994,410644635,410644634,410644631,410644630,323722039,559542014,324050163,410644622,559542012,559542011,323828859,323537030,559542006,559542005,323475384,559542002,323617178,324061497,323277264,323423225,323266112,323729780,324158668,323863116,323343353,299797400,323607459,323625957,268500067,323951140,323852233,268500070,268500069,268500068,323444340,323821146,324011011,323360901,323742967,324145494,324007192,299797450,324135207,323266049,323647064,292099815,292099814,292099813,292099812,323483058,292099818,292099817,292099816,323487145,324081452,299797295,299797294,323704570,323717768,299797293,324007366,323521751,323319988,299797298,299797299,299797296,299797297,323396241,323742780,323343203,323747105,323580106,323770442,323770422,323902552,323976207,323610627,559537507,559537506,559537504,559537509,559537508,323499609,323592064,323916036,323300623,559537490,323603018,559537491,323725440,559537493,559537494,559537495,324077197,559537496,323343144,559537498,559537499,323478550,559537500,559537501,559537502,275412913,576236429,324046117
GET http://api.openstreetmap.org/api/0.6/nodes?nodes=324115960,414083208,414083210,250283293,323735001,324050930,323439626,299523101,299523100,323893559,324115935,260970883,260970881,260970880,260970887,260970886,323379040,323774684,260970885,323487396,260970884,323567708,324076829,260970890,260970889,323470824,351450238,260970898,323782635,349931405,323444045,323426702,292619638,292619639,292619636,292619637,292619634,292619635,292619632,292619633,292619646,292619647,323621844,292619644,323786465,292619645,292619642,292619643,292619640,292619641,323499456,292619631,292619630,816887529,324023373,414083100,414083103,323933867,414083097,414083098,414083093,292619665,323829721,292619664,323537702,414083095,292619667,292619666,414083089,414083091,414083087,324019613,323474444,323502778,414083080,292619660,414083081,324111438,292619662,414083083,292619663,292619648,414083077,292619649,323405571,292619650,292619651,323829709,323510483,414083135,561295597,414083133,561295599,414083131,561295592,324073946,324011976,561295594,414083129,561295595,414083125,414083123,414083121,323951088,561295613,260970877,561295612,414083119,323510526,561295615,260970879,414083117,260970878,414083114,561295608,414083115,561295611,414083112,260970875,561295605,414083110,561295607,414083108,561295606,561295601,414083106,414083107,561295603,324124470,414083105,414083163,414083165,414083167,414083153,414083155,349931287,414083157,349931281,414083159,417672777,414083145,414083146,414083147,414083149,347771403,414083151,323409524,324011955,414083137,323292252,347771399,414083139,414083141,414083143,323990105,414083194,414083192,414083198,414083196,414083187,323646972,414083186,414083185,323374832,414083190,323316424,414083188,414083178,414083179,323695382,414083183,414083181,349931303,414083171,349931301,349931300,414083169,414083174,323790127,323691054,414083175,323805676,28795196,28795199,28795193,323695355,563851614,323946864,28795189,28795191,323829319,28795185,28795187,28795181,28795180,28795183,28795182,28795176,28795179,563851599
GET http://api.openstreetmap.org/api/0.6/nodes?nodes=519977164,519977161,323550873,323928445,323397457,519977158,324154941,519977154,519977182,519977179,323631018,519977175,519977168,323637518,519977171,323746023,323466367,323334160,323820406,324110995,519977185,323431619,958342233,323754320,126433904,323807048,324105455,559572012,559572015,559572014,323340256,323265625,323801928,28795178,28795172,28795175,323743382,563851586,28795174,323664215,28795168,28795170,28795166,323571731,28795164,28795162,323903125,28795160,323426530,323747737,563851634,28795158,28795156,28795154,323388012,563851627,559445630,559445629,563851625,559445628,324139617,563851619,324127035,563851622,323522122,324127045,561295633,561295636,323734702,28795248,28795249,28795250,28795251,288839946,28795252,323841010,28795253,28795254,323805253,28795255,561295617,28795240,28795243,561295619,28795242,28795245,28795244,28795247,28795246,561295622,28795233,323541979,28795232,28795235,561295627,28795234,28795237,28795239,28795238,268544412,561295630,28795227,323941686,323439955,28795224,323994705,28795231,324069684,28795228,324149273,28795229,324124414,28795219,28795216,28795217,563851570,28795222,28795223,28795220,323552683,28795221,28795210,960715183,28795209,28795208,323721582,28795215,28795214,28795213,324124384,28795203,323977354,28795202,28795201,28795200,28795206,28795205,323320435,323889578,323514598,323747646,323413112,323767153,667876395,323955591,323717311,323338353,323591640,323257990,559560258,559560256,323591633,559560257,323820689,323615592,323664373,324091967,323881981,323534228,323919888,960715116,323422523,559445633,559445632,559560238,559445635,559560239,323369054,559560232,559445636,559445638,559560228,559445641,559560230,559445643,559445642,559560226,559560227,559560253,323561342,559560254,559560249,323323073,323457436,559560248,559560251,559560250,324139658,559560245,559560244,559560247,323265688,559560240,559560243,559560242,323262450,323743335,324139699,323903048,582568629
GET http://api.openstreetmap.org/api/0.6/nodes?nodes=324018989,305796020,323334269,324022802,958342177,348215403,323594519,559572028,559572030,559572031,958342201,559572025,559572026,323745943,559572027,323617980,559572020,559572021,559572022,348215418,559572023,559572016,323661658,559572017,946326960,559572019,297725489,323274226,323798388,323370888,469342309,323726681,323882066,323498934,323971289,323820324,324097721,323665475,323431575,268499441,323581346,323615778,323661711,323730569,323490108,323559517,348215484,348215486,323581366,813168172,324132821,323960256,324075403,323726753,708115496,323269294,323313584,323407983,268517670,323404098,559564471,323653086,323611941,958342365,559564474,559564473,324146400,323784786,323520967,324105326,348215521,348215520,323941106,268517704,323665634,324049263,323404053,348215494,323485807,323490140,348215518,323823862,268517518,268517519,71280442,323569514,323618289,323646054,323789472,323542506,323417023,323978900,71280435,323837581,323876204,453593718,348215588,324009996,323520527,348010122,323439429,71280419,348215595,348215593,323313187,324036253,323851232,324088152,323882253,958342488,323771549,559545250,323507294,323273907,323802370,323512068,323580930,559545257,324155162,559545259,559545260,323741913,559545262,559545263,324036347,323642130,323876142,71280501,323637326,298190763,249780067,416406639,323864165,323802467,71280491,323841410,323672543,323466513,416406629,323486149,71280482,416406623,958342430,324157651,71280469,71280461,323699568,323963821,323524950,71280450,323895027,324128739,323691820,323741800,71280568,323864240,323906318,71280575,71280548,323837468,323278122,323759028,323569658,323260902,71280559,323646196,71280530,323734062,416406677,71280539,323361850,323652822,323366766,71280514,323555873,323952284,71280524,71280628,324027409,323637453,958342578,959713840,71280634,323347472,71280612,27193017,27193016,323789439,27193019,27193018,27193013,71280621,27193012,27193015,27193014,27193011,323746053,563853281,271306509,271306510
GET http://api.openstreetmap.org/api/0.6/nodes?nodes=959713728,576236545,323780079,287346687,287346686,576236560,324093385,323841776,323463006,287346678,324053205,323730945,323334719,323806563,323564541,324154403,324018558,323692200,324140854,811578005,323951963,323486438,323412469,323707417,576236616,323260939,959713684,323859138,323824244,323494042,323785370,323532831,323698775,323330883,323370414,323737837,323798854,323494078,323793104,323993873,323603878,457139213,323882647,563852428,323529157,612880361,324028270,323515838,323352144,323921252,324022498,323978549,323385758,959713619,287346554,323696392,29094949,28800496,28800497,811577971,323482141,28800503,287346504,323607638,323423255,323779934,28800486,959713551,323397044,323722377,323308737,321428703,323905662,321428702,321428701,321428700,323696508,946327315,324039776,323742466,240098297,559444985,559444986,323334910,323473459,559444987,959713573,321428704,324141040,321428705,321428706,321428707,323837257,321428708,323568806,323638208,323299920,324136651,323633908,323498249,324063096,324079926,323321422,323300282,323978409,323274418,324053455,323401034,323750780,323334951,323515403,323551656,324158140,323785724,959713505,323785698,332189214,324131910,324014903,323498153,323951689,323779772,323603585,959713435,323683764,323754502,324070730,959713411,324084284,323599108,323626478,415878856,323653171,323467015,959713466,323785658,323616744,323653155,323278816,323538565,323841930,323622553,292304904,347753333,347753331,323393457,347753337,347753338,959713352,323454114,323572960,323550521,323542891,324128232,324128233,323898217,323711688,323462886,323665339,323886734,275411350,275411351,324070824,275411348,323291494,275411349,324075710,323282037,323854969,323469361,323401112,324074732,323626357,323564061,28958747,28958746,323824619,28958745,28958744,324032279,323321997,958342544,271306505,71280593,271306506,323998599,271306507,324105552,958342552,323657122,71280602,71280582,323334621,323320991,323477569,323494658,323431687,323618059,323377323,559456245
GET http://api.openstreetmap.org/api/0.6/nodes?nodes=324147329,287346731,323497535,301727071,287346729,287346726,287346724,287346722,292304768,289006618,259130633,259130632,259130631,301727040,323900676,259130627,323582434,259130626,259130625,259130624,287346700,323325846,323697008,287346703,323762160,287346696,323538956,287346698,287346699,287346692,287346693,323419734,287346688,302382382,287346689,292304829,287346690,287346691,324137423,287346719,323345010,287346712,324109911,323298414,324063634,287346710,287346705,950503884,323432757,292304812,287346707,292304853,323283813,950503856,323667259,292304862,324059346,323389882,323513004,950503845,292304840,323566948,323983923,559539970,301727039,559539971,290962351,559539968,292304884,324026093,559539969,301727035,559539975,559539972,559539973,559539978,292304894,559539976,559539977,323504371,324032577,323398631,323517372,292304867,323450299,292304879,323450291,323528499,292304668,323582321,267909480,324137337,71281275,323275226,324063537,323632121,324106466,563853931,563853930,563853926,324067945,323279078,563853922,27193917,323532321,323318029,27193916,563853919,563853916,288205241,27193918,27193913,27193915,288205245,27193914,323768796,323787934,323411132,288205235,563853911,267909448,323727473,288205233,267909451,288205239,288205237,267909454,323577973,288205227,323896469,288205225,288205231,324114401,323367809,288205229,323909578,288205223,27193947,323685070,27193946,267909413,27193950,267909410,27193949,27193948,323658524,267909423,323450125,267909421,324008970,323597439,323922892,323455744,323519746,323455747,323419818,323345045,648597301,267909380,323567058,267909382,323497682,323502049,323662350,323741129,267909389,267909384,267909387,323645034,267909392,323926725,323389718,267909395,323814977,267909407,323480969,292307219,323792498,323398302,267909373,323477311,617275351,267909360,323826941,323263914,267909364,323401092,959713287,323542812,323819697,28958760,323803135,323630185,324123190,302095484,323876774,28958758,323641740,959713317,323550558
GET http://api.openstreetmap.org/api/0.6/nodes?nodes=323829844,323428889,323679238,324297098,323829854,559539532,559539533,332190412,559539536,559539543,323344503,323710608,332190410,332190411,559539540,332190404,559539546,323827676,323485298,323516912,559539553,323803891,324082909,323784449,323823322,559539563,323650492,323904583,323654290,559539571,324137966,324048761,323764573,617275358,267909367,267909356,323272661,324072143,323727832,323909236,324125605,323519699,323585763,324063387,298811426,323329975,324068303,617275381,323501616,304306542,617275384,323685176,323517170,323883233,323574432,304306549,304306548,304306550,304306545,617275367,323492941,323796852,304306546,304306556,304306559,304306558,268503203,304306553,268503204,304306552,268503205,292304572,298833358,304306555,268503206,268503207,323636651,323702684,959713112,298811479,323283553,292304594,323354926,323745105,324102159,298811475,323991878,324037173,324047901,324072123,323991925,292304616,292304629,323492872,323337605,288523538,323558972,323803536,324044088,323788127,323274797,323415591,268503264,268503265,292304635,959713177,323838349,559539967,331988269,323513185,559539965,391805866,324156266,323645207,956265440,323623101,324137029,323574308,323467570,323623102,28797743,304306659,323956769,956265417,324068180,28797744,28797745,28797746,323768531,28797747,323601032,28797749,28797750,323944281,323432621,304306571,304306570,820743545,304306568,304306575,304306574,304306573,323922647,304306563,304306562,304306560,323268151,304306567,304306566,323909295,304306564,304306586,304306584,304306585,304306590,304306588,323398215,304306589,304306578,323740900,304306577,304306582,323819076,304306580,324028632,71281470,304306581,323259518,304306600,275410440,275410442,323680216,275410445,323376229,323353055,275410446,304306593,304306592,323879192,323830656,304306595,304306597,323636485,304306596,304306599,275410438,259130615,324068115,259130614,259130613,323803416,275410448,259130618,259130617,323279252,259130616,259130623,259130622,259130621,259130620
GET http://api.openstreetmap.org/api/0.6/nodes?nodes=324038452,323970662,323719343,559539583,323547176,324025579,323442126,304306724,324029289,323334051,323528131,324122435,323504868,323290225,323829822,323294550,323380382,323428972,349346992,323485202,349346995,323543335,323516823,323520372,320567867,323547373,323563182,320567863,323879501,323862238,323745451,250313383,323948895,323641206,320567844,320567847,324094370,323807532,323631596,320567836,323957517,323283390,434409044,323803747,323879428,559539597,28958366,559539594,71280658,301445922,323267841,301445923,559539590,323558847,301445926,323353283,71280666,301445924,301445925,559539614,559539615,71280646,323267870,323823141,559539607,323879453,559539601,71280691,323715406,323827492,324021629,559539616,559539618,323600885,323926246,71280675,320567883,323574081,323493819,324000891,320567877,250313410,324033277,250313412,320567874,292621465,323667524,301445884,301445881,301445882,323505084,323582684,323796337,323501095,323791946,323279717,559573929,290909981,323275347,627440277,627440279,323489605,27193741,323481186,324107108,27193740,627440272,27193743,627440275,559573925,27193742,27193744,323532172,559573946,27193745,27193746,323264439,323887496,627440267,323745552,627440262,323279737,559573940,559573967,323441880,323463882,288205413,559573962,323736839,323359275,559573957,950504073,559573952,312426200,323333813,323768850,559573982,559573979,559573972,559573975,323593959,323532262,323353416,323931841,323732496,323450523,559573995,323420416,324033393,323988069,950504110,434696264,950504114,323654593,323901015,324122228,323788686,323761259,28958658,324155732,323424474,323582540,323675322,323904995,323294380,348059058,323294371,348059056,323520123,323411853,323654415,323901081,323582586,391800980,391800979,324098531,323325000,323697324,323598158,323472620,323868968,323489716,323868969,323908752,323914382,31411602,323992557,950503959,323714677,323524400,348059086,323485591,323714630,323290594,324059987,410608233,810092673,324133645,323705906,348059090
GET http://api.openstreetmap.org/api/0.6/nodes?nodes=323778393,324021244,324126443,323375579,324144629,323946118,324153225,323690344,955070354,323364439,323403503,323697981,323709133,323961457,323518910,323414826,324004248,323426069,323609908,323713514,323468417,323360081,323724783,324086156,323838991,559453919,323602237,323561501,323739914,323457013,559453922,323826113,559453927,323548793,324107336,323736240,323698066,323444794,323701257,323548801,323915194,323602424,323732370,323518230,323812980,323561711,324047237,323518775,323522566,323384085,323355802,347572164,324311361,347572163,347572162,347572161,324029926,323904182,323364598,434390274,347572144,324311347,323888654,323456859,347572147,288522486,288522487,288522490,288522488,288522489,323276241,323472267,323276249,288522472,323927714,347572141,347572143,347572142,461971195,461971194,461971199,323545052,461971198,323778491,461971191,323774093,323728487,288975154,324024887,30890648,559454108,30890649,559454109,30890650,559454110,882207085,30890651,559454104,30890652,323744074,30890653,882207083,323456641,323880372,559454106,30890654,559454107,30890655,882207081,30890640,323476350,559454100,882207078,30890641,559454101,30890642,559454102,323679090,419370972,559454103,882207077,419370971,419370970,323821959,323414559,30890647,30890633,323509478,320568792,30890632,30890635,30890634,30890637,323632687,30890636,30890639,30890638,323635633,30890629,30890631,323596797,30890630,323288914,323765567,323860765,323748347,323954127,450586861,450586860,882207071,323301384,450586862,324008361,323479576,323518656,323635690,323716764,323716757,323425919,323663853,323548998,323346245,323732092,324051718,461971301,324085938,323628925,559454187,559454186,323575476,559454184,559454188,323973225,323787025,323813303,559454183,323509388,559454182,324000655,559454181,324130491,324113032,323518468,323422084,259834295,882207214,882207209,324034031,882207223,323293891,882207221,882207218,323505496,323301551,323518511,882207175,323441244,323946282,882207171,30890558
GET http://api.openstreetmap.org/api/0.6/nodes?nodes=323293549,259834370,323993187,323324383,323685482,323553286,259834374,882207326,259834372,323915523,324043318,259834378,259834376,323689813,259834380,323817954,323324365,323284315,882207311,323635849,323363953,882207309,323376107,323670542,882207352,323647977,882207358,323878624,323980573,323830831,882207336,323689832,324047664,323861048,323685471,323270796,882207330,324099147,323530974,259834428,882207333,259834431,323363930,882207334,259834438,259834436,882207259,469907237,259834433,323371658,259834447,259834445,323519480,259834442,323505850,882207250,259834440,323903603,882207247,323843867,259834453,323752844,882207244,324047703,259834451,882207242,323666765,259834449,882207240,882207238,323593145,250063369,882207235,323915615,323445494,323436695,561294785,323915620,323445503,882207287,882207278,323989293,323471629,559453392,324004636,323266825,323460098,323670702,323266829,323517746,323919526,323865868,811870128,323360669,323915688,323713859,323345553,323399001,323822090,323903635,559542515,559542513,323969411,323558074,323522831,882207190,324051928,30890538,323644280,323554183,323831710,30890581,30890580,259834363,882207137,30890583,323985400,259834361,30890582,30890577,259834367,30890576,882207141,30890579,259834365,323744132,30890578,324152910,30890589,259834354,324064305,30890588,324038370,30890591,30890590,323464225,30890585,259834358,30890584,30890587,259834356,882207149,323514213,30890586,259834347,323721010,323484107,259834345,882207153,30890560,259834351,324109291,259834349,323561867,259834339,30890573,30890574,30890575,259834343,323275980,323778207,324003956,323721021,323686286,30890571,30890615,30890614,323679125,30890613,30890612,30890611,30890610,30890609,30890608,323380085,30890620,30890619,259834325,30890618,30890617,323821929,30890616,259834313,30890598,30890599,30890596,30890597,30890594,30890595,30890592,30890593,259834305,30890606,30890607,30890604,30890605,30890602,30890603,30890600,30890601
GET http://api.openstreetmap.org/api/0.6/nodes?nodes=323523474,323880854,324108047,323735833,324130036,323523513,559542535,323666464,559542530,323903769,559542528,323636156,324034406,323670792,323276414,324152555,323945956,324129980,323425352,259834751,259834750,259834749,259834748,259834747,259834746,259834745,259834744,436558053,323969904,324117252,323919703,323773730,323456219,349984878,323336978,349984872,323930711,323848399,323709789,259834761,323942686,259834760,323666580,259834763,259834762,349984893,323639841,323678658,259834764,323614619,259834753,259834752,324037777,259834755,259834754,349984885,259834757,259834756,259834759,259834758,30890025,323795336,323961309,323518998,323720572,323350455,559542518,323800930,323471531,323310708,323795186,559542523,323531062,559542522,323813642,613578248,559542520,323513428,120468896,559542525,323878656,324112634,882207361,249370282,323800686,882207372,323817790,323356615,323740343,323475629,323332948,324081998,323960981,323354559,323266681,324030082,323852436,529514262,323954486,323756159,323812365,120468881,323729240
GET http://api.openstreetmap.org/api/0.6/relations?relations=62895,110076,319592,110073,319602
1 conflict has been resolved.
1 conflict has been resolved.
Silent shortcut conflict: 'relationeditor:moveup' moved by 'menu:Selection' to 'Alt+G'.
Silent shortcut conflict: 'relationeditor:sort' moved by 'menu:Tools' to 'Alt+K'.
Silent shortcut conflict: 'relationeditor:reverse' moved by 'subwindow:relations' to 'Alt+O'.
Silent shortcut conflict: 'relationeditor:downloadincomplete' moved by 'relationeditor:sort' to 'Alt+U'.
Silent shortcut conflict: 'relationeditor:removeselected' moved by 'menu:History' to 'Alt+W'.
java.lang.NullPointerException
	at org.openstreetmap.josm.gui.conflict.pair.relation.RelationMemberTableCellEditor.getTableCellEditorComponent(RelationMemberTableCellEditor.java:38)
	at javax.swing.JTable.prepareEditor(JTable.java:5791)
	at javax.swing.JTable.editCellAt(JTable.java:3516)
	at javax.swing.plaf.basic.BasicTableUI$Handler.adjustSelection(BasicTableUI.java:1105)
	at javax.swing.plaf.basic.BasicTableUI$Handler.mousePressed(BasicTableUI.java:1035)
	at java.awt.AWTEventMulticaster.mousePressed(AWTEventMulticaster.java:280)
	at java.awt.Component.processMouseEvent(Component.java:6133)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
	at java.awt.Component.processEvent(Component.java:5901)
	at java.awt.Container.processEvent(Container.java:2105)
	at java.awt.Component.dispatchEventImpl(Component.java:4497)
	at java.awt.Container.dispatchEventImpl(Container.java:2163)
	at java.awt.Component.dispatchEvent(Component.java:4323)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4461)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4122)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4055)
	at java.awt.Container.dispatchEventImpl(Container.java:2149)
	at java.awt.Window.dispatchEventImpl(Window.java:2478)
	at java.awt.Component.dispatchEvent(Component.java:4323)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:649)
	at java.awt.EventQueue.access$000(EventQueue.java:96)
	at java.awt.EventQueue$1.run(EventQueue.java:608)
	at java.awt.EventQueue$1.run(EventQueue.java:606)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:116)
	at java.awt.EventQueue$2.run(EventQueue.java:622)
	at java.awt.EventQueue$2.run(EventQueue.java:620)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:619)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:275)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:200)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:194)
	at java.awt.Dialog$1.run(Dialog.java:1072)
	at java.awt.Dialog$3.run(Dialog.java:1126)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.awt.Dialog.show(Dialog.java:1124)
	at java.awt.Component.show(Component.java:1492)
	at java.awt.Component.setVisible(Component.java:1444)
	at java.awt.Window.setVisible(Window.java:842)
	at java.awt.Dialog.setVisible(Dialog.java:1011)
	at org.openstreetmap.josm.gui.dialogs.ConflictResolutionDialog.setVisible(ConflictResolutionDialog.java:117)
	at org.openstreetmap.josm.gui.dialogs.ConflictDialog.resolve(ConflictDialog.java:150)
	at org.openstreetmap.josm.gui.dialogs.ConflictDialog.access$000(ConflictDialog.java:58)
	at org.openstreetmap.josm.gui.dialogs.ConflictDialog$ResolveAction.actionPerformed(ConflictDialog.java:348)
	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2012)
	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2335)
	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:404)
	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:259)
	at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:253)
	at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:289)
	at java.awt.Component.processMouseEvent(Component.java:6136)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
	at java.awt.Component.processEvent(Component.java:5901)
	at java.awt.Container.processEvent(Container.java:2105)
	at java.awt.Component.dispatchEventImpl(Component.java:4497)
	at java.awt.Container.dispatchEventImpl(Container.java:2163)
	at java.awt.Component.dispatchEvent(Component.java:4323)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4461)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4125)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4055)
	at java.awt.Container.dispatchEventImpl(Container.java:2149)
	at java.awt.Window.dispatchEventImpl(Window.java:2478)
	at java.awt.Component.dispatchEvent(Component.java:4323)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:649)
	at java.awt.EventQueue.access$000(EventQueue.java:96)
	at java.awt.EventQueue$1.run(EventQueue.java:608)
	at java.awt.EventQueue$1.run(EventQueue.java:606)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:116)
	at java.awt.EventQueue$2.run(EventQueue.java:622)
	at java.awt.EventQueue$2.run(EventQueue.java:620)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:619)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:275)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:200)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:185)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:177)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:138)
java.lang.NullPointerException
	at org.openstreetmap.josm.gui.conflict.pair.relation.RelationMemberTableCellEditor.getTableCellEditorComponent(RelationMemberTableCellEditor.java:38)
	at javax.swing.JTable.prepareEditor(JTable.java:5791)
	at javax.swing.JTable.editCellAt(JTable.java:3516)
	at javax.swing.plaf.basic.BasicTableUI$Handler.adjustSelection(BasicTableUI.java:1105)
	at javax.swing.plaf.basic.BasicTableUI$Handler.mousePressed(BasicTableUI.java:1035)
	at java.awt.AWTEventMulticaster.mousePressed(AWTEventMulticaster.java:280)
	at java.awt.Component.processMouseEvent(Component.java:6133)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
	at java.awt.Component.processEvent(Component.java:5901)
	at java.awt.Container.processEvent(Container.java:2105)
	at java.awt.Component.dispatchEventImpl(Component.java:4497)
	at java.awt.Container.dispatchEventImpl(Container.java:2163)
	at java.awt.Component.dispatchEvent(Component.java:4323)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4461)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4122)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4055)
	at java.awt.Container.dispatchEventImpl(Container.java:2149)
	at java.awt.Window.dispatchEventImpl(Window.java:2478)
	at java.awt.Component.dispatchEvent(Component.java:4323)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:649)
	at java.awt.EventQueue.access$000(EventQueue.java:96)
	at java.awt.EventQueue$1.run(EventQueue.java:608)
	at java.awt.EventQueue$1.run(EventQueue.java:606)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:116)
	at java.awt.EventQueue$2.run(EventQueue.java:622)
	at java.awt.EventQueue$2.run(EventQueue.java:620)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:619)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:275)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:200)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:194)
	at java.awt.Dialog$1.run(Dialog.java:1072)
	at java.awt.Dialog$3.run(Dialog.java:1126)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.awt.Dialog.show(Dialog.java:1124)
	at java.awt.Component.show(Component.java:1492)
	at java.awt.Component.setVisible(Component.java:1444)
	at java.awt.Window.setVisible(Window.java:842)
	at java.awt.Dialog.setVisible(Dialog.java:1011)
	at org.openstreetmap.josm.gui.dialogs.ConflictResolutionDialog.setVisible(ConflictResolutionDialog.java:117)
	at org.openstreetmap.josm.gui.dialogs.ConflictDialog.resolve(ConflictDialog.java:150)
	at org.openstreetmap.josm.gui.dialogs.ConflictDialog.access$000(ConflictDialog.java:58)
	at org.openstreetmap.josm.gui.dialogs.ConflictDialog$ResolveAction.actionPerformed(ConflictDialog.java:348)
	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2012)
	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2335)
	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:404)
	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:259)
	at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:253)
	at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:289)
	at java.awt.Component.processMouseEvent(Component.java:6136)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
	at java.awt.Component.processEvent(Component.java:5901)
	at java.awt.Container.processEvent(Container.java:2105)
	at java.awt.Component.dispatchEventImpl(Component.java:4497)
	at java.awt.Container.dispatchEventImpl(Container.java:2163)
	at java.awt.Component.dispatchEvent(Component.java:4323)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4461)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4125)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4055)
	at java.awt.Container.dispatchEventImpl(Container.java:2149)
	at java.awt.Window.dispatchEventImpl(Window.java:2478)
	at java.awt.Component.dispatchEvent(Component.java:4323)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:649)
	at java.awt.EventQueue.access$000(EventQueue.java:96)
	at java.awt.EventQueue$1.run(EventQueue.java:608)
	at java.awt.EventQueue$1.run(EventQueue.java:606)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:116)
	at java.awt.EventQueue$2.run(EventQueue.java:622)
	at java.awt.EventQueue$2.run(EventQueue.java:620)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:619)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:275)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:200)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:185)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:177)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:138)


comment:3 Changed 9 years ago by skyper

You only have to update relation with ID: 62.897 (Westweg,WesternRoute,Variant A)

comment:4 Changed 8 years ago by Don-vip

Resolution: duplicate
Status: newclosed

comment:5 Changed 8 years ago by Don-vip

Closed as duplicate of #5374.

comment:6 Changed 8 years ago by Don-vip

Resolution: duplicatefixed

In [4478/josm]:

fix #5374 and #6315 - NPE in relations conflict manager

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.